#pragma once

#include <libubox/list.h>

typedef struct {
	struct list_head node;
	char *key;
	char *value;
} ini_field_t;

typedef struct {
	struct list_head node;
	struct list_head fields;
	char *name;
} ini_section_t;

typedef struct {
	struct list_head sections;
} ini_file_t;

ini_file_t * read_ini_file(const char *filename);
void free_ini_file(ini_file_t *file);
